Subject: bug#9737: misc/timeout-group: spurious test failure on SLES 10.3 (coreutils 8.14)

From: Jim Meyering <[email-masked]>
Date: Thu, 03 Nov 2011 10:46:25 +0100

Pádraig Brady wrote:
...
>> I repeated the test with < 0.2 load 100 times:
>> the run #5, #18, #28, #53, #58 and #71 resulted in FAIL as above,
>> and the run #24 and #25 PASSed but took 20 seconds,
>> all other PASSed within <=0.3s.
>
> I reproduced this weirdness in OpenSuse 10.3 in a VM.
> Much less frequently though.
> Delays in 10 out of 2750
> Signal handler call failure in 1 out of 2750

Wow.  Congratulations on managing to reproduce those.

> The delays might be due to bash, but I updated
> to 4.2 and the issue still persists.
> I suspect kernel issues too.
>
> Anyway I've attached 2 patches to replace the previous one.
> The first hopefully addresses any races in the test.
> I don't think you hit any of these TBH.
>
> The second should detect the signal issues and skip the test.

Those look good to me.

Thanks.